QGIS Application - Bug report #2008
print composer grid feature freezes qgis if the test layer is not in a geographic CRS
2009-10-13 02:35 PM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category:

Affected QGIS version: Regression?: No
Operating System: Debian Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 12068
Description

See summary. Tested under ubuntu 9.04, qgis trunk and a few simple shapefiles used singularly.

History

#1 - 2009-10-16 02:53 AM - Marco Hugentobler

Probably the number you enter for x- and y-interval is too small. Therefore it takes a very long time to draw the lines

#2 - 2009-10-16 09:57 AM - Giovanni Manghi

Hi,

you are probably right (I don't have qgis compiled at hand now), but if I'm not wrong the program freezes right after selecting the grid checkbox, before

selecting the intervals.

#3 - 2009-10-17 03:00 AM - Giovanni Manghi

Hi, | compiled the latest code and gave a look again.

Actually | confirm my observations: if the layers/project are defined in a geog. crs no problem. If are in a projected crs then qgis freezes.

When | open the grid widget by activating the proper checkbox, the widget doesn't let me do anything, not even changing the intervals or checking "show
grid".

The test is as simple as using one of the shapefiles of the qgis sample dataset. Tested under unbuntu 9.04.

Moreover | attach two screenshots to have a look to two more problems: a) when not docked the widget has no window "decorator” (is the right name?), so
is not possible to move it around. When docked the widget is not usable because overlaps with other controls (I have a 1680x1050 screen).

thanks

#4 - 2009-10-17 11:13 AM - Marco Hugentobler

Hi Lutra

Ah, | see what you mean. commit:d7bb27d2 (SVN r11821) should fix the freeze. Also, the spin boxes take now only effect if return is pressed or they loose
focus. So it's much easier to find the right interval without going through many unnecessary draws.

| confirm the 2 additional problems.

#5 - 2009-10-17 02:13 PM - Giovanni Manghi

Hi Marco, thanks for the fix. It seems to work now. But | confirm also your first impression. If the selected x/y interval is too small (compared to map units
and zoom level) then it takes a looong time to draw the grid, in some cases this can so much that can be the same as a freeze.

#6 - 2009-11-15 08:06 AM - Giovanni Manghi
- Resolution set to fixed
- Status changed from Open to Closed

it seems all fine to me now.
